Package com.databricks.jdbc.client.impl.thrift.generated

## Class TCLIService.Processor.ExecuteStatement<I extends TCLIService.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,​TCLIService.ExecuteStatement_args>
  - - com.databricks.jdbc.client.impl.thrift.generated.TCLIService.Processor.ExecuteStatement<I>

Enclosing class:
  TCLIService.Processor<I extends TCLIService.Iface>

    public static class TCLIService.Processor.ExecuteStatement<I extends TCLIService.Iface>
    extends org.apache.thrift.ProcessFunction<I,​TCLIService.ExecuteStatement_args>

### Constructor Summary

Constructors
`ExecuteStatement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TCLIService.ExecuteStatement_args` `getEmptyArgsInstance()`
`TCLIService.ExecuteStatement_result` `getResult​(I iface, TCLIService.ExecuteStatement_args args)`
`protected boolean` `isOneway()`
`protected boolean` `rethrowUnhandledExceptions()`

### Methods inherited from class org.apache.thrift.ProcessFunction

`getMethodName, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecuteStatement

    public ExecuteStatement()

### Method Detail

#### getEmptyArgsInstance

    public TCLIService.ExecuteStatement_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends TCLIService.Iface,​TCLIService.ExecuteStatement_args>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.ProcessFunction<I extends TCLIService.Iface,​TCLIService.ExecuteStatement_args>`

#### rethrowUnhandledExceptions

    protected boolean rethrowUnhandledExceptions()

Overrides:
  `rethrowUnhandledExceptions` in class `org.apache.thrift.ProcessFunction<I extends TCLIService.Iface,​TCLIService.ExecuteStatement_args>`

#### getResult

    public TCLIService.ExecuteStatement_result getResult​(I iface,
                                                         TCLIService.ExecuteStatement_args args)
                                                  throws org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.ProcessFunction<I extends TCLIService.Iface,​TCLIService.ExecuteStatement_args>`
Throws:
  `org.apache.thrift.TException`